Get scene collection details
curl --request GET \
--url https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/ \
--header 'x-access-token: <api-key>'const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/' -Method GET -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/video/{video_id}/scenes/{scene_collection_id}/")
.get()
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"id": "sc-12345",
"scenes": [
{
"scene_id": "<string>",
"start": 123,
"end": 123,
"description": "<string>"
}
]
}
}Get Scene Collection
Retrieve details of a specific scene collection
GET
/
video
/
{video_id}
/
scenes
/
{scene_collection_id}
/
Get scene collection details
Retrieve the details and scenes within a specific scene collection, including scene timestamps and descriptions.
- Use
offsetandlimitparameters for pagination - Scene collection IDs start with
sc- - Each scene includes start/end timestamps and optional descriptions
Update Scene Collection
Modify scene data
Extract Scenes
Extract scenes from video
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^m-Example:
"m-12345"
Example:
"sc-12345"
⌘I